x2golistmounts(8)

NAME
x2golistmounts - List Mounted Shares for an X2Go Session

SYNOPSIS
x2golistmounts <session_id>

DESCRIPTION
x2golistmounts returns a list of mounted client-side folders or devices for X2go session <session_id>.

x2golistmounts is run with normal user privileges and it is used by X2Go clients to render a list of SSHFS mounts for a given X2Go sessions.

RETURN VALUES
A line-by-line list of mounted shares is returned by x2golistmounts. Each line consists of two mount point attribute fields separated by the pipe symbol (,,|'').

The meanings of these mount point attributes are:
  field 01: <sshfs_target_host_ip>
  field 02: <mount_point_path_on_server> As exitcode x2golistmounts always returns 0.

SEE ALSO
x2gomountdirs(8), x2goumount-session(8)

AUTHOR
This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (http://www.x2go.org).